/*******************************************************************************
Copyright © 2023 Sebastian Roith

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*******************************************************************************/

window.TASK = {
    // Aufgabenstellung
    html: '<p>Bei dieser Art von Aufgabe geht es darum, ein Tabellenschema zu schreiben. Das kannst du normal tippen, nur beim Unterstreichen von Primärschlüsselattributen musst du anders vorgehen: Schreibe <code>_</code> vor und nach dem zu unterstreichenden Textteilen.</p><p>Übe das gleich, indem du folgendes Tabellenschema ein- und abgibst: <code>TABELLE(<span style="text-decoration:underline">primaer1, primaer2</span>, wert3, wert4)</p>',

    // Anzuzeigender Text, wenn Aufgabe gelöst wurde
    done: 'Dein Tabellenschema passt',

    // Gewährte Einlesezeit in Sekunden
    readingTime: 30,

    // Könnte die korrekte Lösung aus mehreren Tabellenschemata bestehen?
    expectMultiple: false,

    // Array erlaubter Datentypen, `undefined` für kein Datentyp, `undefined` ist Kurzform von `[undefined]`
    datatypes: undefined,

    // Anzahl an Fehlerpunkten je Syntaxfehler
    fineSyntax: 1,

    // Anzahl an Fehlerpunkten je semantischen Fehler
    fineSemantic: 1,

    // Anzahl an Fehlerpunkten je inhaltlichen Fehler
    fineDiff: 5,

    // Beschreibung der geforderten Lösung
    solution: {
        keepOrder: false,
        content: [[
            {
                table: 'TABELLE',
                attributes: { keepOrder: true, content: [
                    {
                        name: 'primaer1',
                        isPrimary: true,
                        reference: false
                    }, {
                        name: 'primaer2',
                        isPrimary: true,
                        reference: false
                    }, {
                        name: 'wert3',
                        isPrimary: false,
                        reference: false
                    }, {
                        name: 'wert4',
                        isPrimary: false,
                        reference: false
                    }
                ]}
            }
        ]]
    }
};
